List orders

GET
/v1/numbers/orders

Orders with their numbers, newest first.

Authorization

apiKey
headerAuthorizationBearer <token>

An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.

Query Parameters

limit?integer

How many to return

Range1 <= value <= 100
Default25
cursor?string

nextCursor from the previous page

status?string

open is every order still being placed, assigned or confirmed

Value in"completed""failed""open"
country?string

ISO 3166-1 alpha-2 country code, for example US or GB

Match^[A-Z]{2}$

Response Body

Success

application/json
  1. response

Success

data*array<>
nextCursor*|

Pass as cursor for the next page. null on the last page

total*integer

How many match across every page

Range0 <= value
curl -X GET "https://example.com/v1/numbers/orders?country=US"
{  "data": [    {      "id": "ord_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "status": "completed",      "customerId": "cus_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",      "country": "US",      "product": "any_service",      "service": null,      "duration": "30d",      "quantity": 1,      "fulfilledCount": 1,      "autoRenew": true,      "unitPrice": 1200,      "totalPrice": 1200,      "currency": "USD",      "failure": null,      "numbers": [        {          "id": "num_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",          "number": "15550100002",          "country": "US",          "product": "any_service",          "service": null,          "status": "active",          "customerId": "cus_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",          "orderId": "ord_01K6XJ4Q8ZT3M9R5V2B7WDHNCA",          "nickname": "Support line",          "startsAt": "2026-10-07T11:04:31.000Z",          "endsAt": "2026-11-06T11:04:31.000Z",          "autoRenew": true,          "renewDuration": "30d",          "unitPrice": 1200,          "customerPrice": null,          "paidTotal": 1200,          "messageCount": 3,          "createdAt": "2026-10-07T11:04:31.000Z"        }      ],      "actor": {        "kind": "user",        "label": "string"      },      "createdAt": "2026-10-07T11:04:31.000Z",      "updatedAt": "2026-10-07T11:04:31.000Z"    }  ],  "nextCursor": null,  "total": 1}